## Function `formatDecimal( value, format )`

Description:
  Turns a floating point value into a formatted string using standard settings. The `format` string is as defined by Java's `java.text.DecimalFormat` class.

Parameters:
  `value` (floating point)
    value to format
  `format` (String)
    format specifier

Return Value (String):
  formatted string

Examples:
  - `formatDecimal(99, "#.000") = "99.000"`
  - `formatDecimal(PI, "+0.##;-0.##") = "+3.14"`

Signature:
  `String formatDecimal(double, String)`